漏洞信息详情

Quagga 权限许可和访问控制问题漏洞

  • CNNVD编号:CNNVD-202111-1676
  • 危害等级: 高危
  • CVE编号: CVE-2021-44038
  • 漏洞类型: 权限许可和访问控制问题
  • 发布时间: 2021-11-19
  • 威胁类型: 本地
  • 更新时间: 2021-11-29
  • 厂        商:
  • 漏洞来源:

漏洞简介

Quagga是美国Kunihiro Ishiguro个人开发者的一款路由软件套件。该套件可在多种平台上实现OSPFv2、OSPFv3、RIP v1/v2等协议,并提供路由重分布、路由映射等功能。

Quagga 存在安全漏洞,该漏洞源于在1.2.4的Quagga中发现了一个问题,在建议的规范文件中不安全的chown chmod操作允许用户(控制非根用户拥有的目录等quagga)在包安装或更新时将其权限升级到根用户。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://bugzilla.suse.com/show_bug.cgi?id=1191890

参考网址

来源:MISC

链接:https://github.com/Quagga/quagga/releases

来源:MISC

链接:https://bugzilla.suse.com/show_bug.cgi?id=1191890

来源:access.redhat.com

链接:https://access.redhat.com/security/cve/cve-2021-44038

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2021-44038

来源:www.cybersecurity-help.cz

链接:https://www.cybersecurity-help.cz/vdb/SB2021112414

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多